package com.diagbot.facade;

import java.util.List;

import org.springframework.stereotype.Component;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.dto.LisConfigDTO;
import com.diagbot.entity.LisConfig;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.LisConfigServiceImpl;
import com.diagbot.util.BeanUtil;

/**
 * 
 * @author wangfeng
 * @Description: 化验配置
 * @date 2018年12月25日 上午10:57:34
 */
@Component
public class LisConfigFacade extends LisConfigServiceImpl{
	
	/**
	 * 
	 * @param hospitalId
	 * @return
	 */
	public List<LisConfigDTO> getLisConfigByhospitalId(String hospitalCode){
		
		QueryWrapper<LisConfig> lisConfig = new QueryWrapper<>();
		lisConfig.eq("is_deleted", IsDeleteEnum.N.getKey()).eq("hospital_code", hospitalCode);
		List<LisConfig> data = list(lisConfig);
		// getDisclaimerInformationAll();
		List<LisConfigDTO> datas = BeanUtil.listCopyTo(data, LisConfigDTO.class);
		return datas;
	} 

}
